/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.dao;

import net.northking.cctp.scriptcase.db.entity.MdBusComponentInfo;
import net.northking.cctp.scriptcase.db.mapper.MdBusComponentInfoMapper;
import net.northking.cctp.scriptcase.dto.component.MdBusComponentInfoDetailDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：业务组件表_编辑
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-21 17:09:46  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface MdBusComponentInfoDao extends MdBusComponentInfoMapper
{
    Integer queryCountByTreeCase(MdBusComponentInfo checkCount);

    String deleteByIdList(List<String> ids);

    String getMaxCopyComName(MdBusComponentInfo copy);

    Integer updateInfoByIds(@Param(value = "info")MdBusComponentInfo info, @Param(value = "ids")List<String> ids);

    List<MdBusComponentInfoDetailDto> queryComListByType(@Param(value = "com") MdBusComponentInfo comQuery, @Param(value = "types")List<Integer> types);

    List<MdBusComponentInfoDetailDto> queryComInfoByIdList(@Param(value = "ids")List<String> ids);

    List<String> selectManagerByProject(@Param("projectId") String projectId);

    List<String> selectCreatorByProject(@Param("projectId") String projectId);

    List<String> selectUpdaterByProject(@Param("projectId") String projectId);
    // ----      The End by Generator     ----//

}
